POST /posts

Create a post (draft, scheduled or published now)

POST
/posts

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Header Parameters

x-request-id?string

Idempotency key (max 200 chars)

Request Body

application/json
  1. body
content*string
Lengthlength <= 40000
platforms*array<>
Items1 <= items <= 20
scheduledFor?string

ISO 8601 with time zone

Formatdate-time
publishNow?boolean

Publish live now (subject to approval). Without publishNow or scheduledFor the post is a draft

Response Body

Idempotent replay (same x-request-id)

Example Request
curl -X POST 'https://example.com/api/v1/posts' \  -H 'Content-Type: application/json' \  -d '{  "content": "string",  "platforms": [    {      "accountId": "string"    }  ]}'
Example Response
Empty